#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall-glibc.sh - glibc preinstallation
#
# Creation   :  2013-06-09 holbru
# Last update:  $Id: preinstall-glibc.sh 33749 2013-06-09 09:49:30Z hbfl $
#
# Copyright (c) 2001-2013 the eisfair team, team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=glibc

exec 2>/tmp/glibc-preinstall-trace$$.log
set -x

# ---------------------------------------------------------------------------
# get old files and libs
# ---------------------------------------------------------------------------

folder_name=glibc-2.8
folder="etc sbin lib usr/bin usr/lib usr/sbin usr/share"

etc_files="rpc"

sbin_files="ldconfig
sln"

lib_files="ld-2.8.so
libc-2.8.so
libBrokenLocale-2.8.so
libSegFault.so
libanl-2.8.so
libcidn-2.8.so
libcrypt-2.8.so
libdl-2.8.so
libm-2.8.so
libmemusage.so
libnsl-2.8.so
libnss_compat-2.8.so
libnss_dns-2.8.so
libnss_files-2.8.so
libnss_hesiod-2.8.so
libnss_nis-2.8.so
libnss_nisplus-2.8.so
libpcprofile.so
libpthread-2.8.so
libresolv-2.8.so
librt-2.8.so
libthread_db-1.0.so
libutil-2.8.so"


usr_bin_files="catchsegv
getconf
getent
iconv
ldd
lddlibc4
locale
localedef
pcprofiledump
tzselect
xtrace"

usr_lib_files="-r glibc
-r gconv
-r locale"

usr_sbin_files="iconvconfig
nscd
rpcinfo
zdump
zic"

usr_share_files="-r locale
-r zoneinfo"

if [ ! -d /sbin/${folder_name} ]
then
    for FNAME in ${folder}
    do
        mkdir /${FNAME}/${folder_name}
        cd /${FNAME}

        file_list=`echo ${FNAME} | tr '/' '_'`_files
        echo ${!file_list} |
        while read file_name
        do
            cp --preserve=timestamps ${file_name} /${FNAME}/${folder_name}
        done

    done
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
